Page MenuHomePhabricator

Upgrade OTRS to 5.0.23
Closed, ResolvedPublic

Description

We got bit by https://bugs.otrs.org/show_bug.cgi?id=7811#c13, namely the GenericAgent Job ticket preview displays different tickets as a result than the actual run would touch. This has been fixed in 5.0.21 and we currently are at 5.0.20. I 've reverted manually the patch that causes the issue but it would be nice to upgrade to a recent release. Current latest one out is 5.0.23. Let's target this for now. A tentative date would be Oct 11th 2017. The upgrade is not expected to last long or cause any problems. I 'll update the corresponding OTRS related fields.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2017, 3:36 PM

Date no longer tentative. Oct 11th 09:00 UTC. Motd has been updated accordingly

Mentioned in SAL (#wikimedia-operations) [2017-10-11T10:44:07Z] <akosiaris> starting OTRS upgrade T176221

Mentioned in SAL (#wikimedia-operations) [2017-10-11T10:55:48Z] <akosiaris> OTRS upgrade done T176221

akosiaris closed this task as Resolved.Oct 11 2017, 11:18 AM

Upgrade done, wikimedia templates upgrade as well (in https://gerrit.wikimedia.org/r/#/c/383537/), all looks good, resolving

Mentioned in SAL (#wikimedia-operations) [2017-10-11T11:19:58Z] <akosiaris> re-enable OTRS stats group T176221